/**
 * BinaertSoekeTre.java - "Programmering i Java", 4.utgave - 2009-07-01
 *
 * Klasse for et binrt sketre
 *
 */
class BinaertSoekeTre {
  private SubTre rot;
  public String toString() {
    if (rot != null) {
      return rot.toString();
    } else {
      return null;
    }
  }

  /**
   * Setter inn ny verdi i treet. Da m vi sjekke om det er
   * noe i treet fra fr. Det er ikke s elegant.
   */
  public void settInnVerdi(int verdi) {
    if (rot != null) {
      rot.settInnVerdi(verdi);
    } else {
      rot = new SubTre(verdi, null);
    }
  }

  /**
   * Sker etter en verdi i treet.
   * Returnerer true dersom verdien finnes i treet, ellers false.
   */
  public boolean skEtterVerdi(int skeVerdi) {
    if (rot == null) {
      return false;
    }
    return rot.skEtterVerdi(skeVerdi);
  }
}